Bug 207551 - graphics/qgis: Update to 2.14.0
Summary: graphics/qgis: Update to 2.14.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-28 06:51 UTC by Rainer Hurling
Modified: 2016-03-01 11:04 UTC (History)
2 users (show)

See Also:


Attachments
patch to update from 2.12.3 to 2.14.0 (114.30 KB, patch)
2016-02-28 06:51 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2016-02-28 06:51:23 UTC
Created attachment 167500 [details]
patch to update from 2.12.3 to 2.14.0

What this port update should do:

- Update QGIS to version 2.14.0, the next stable release
- Include desktop file and icons
- Add some more python dependencies
- Remove patches for SAGA GIS algorithm files
- Renew pkg-plist


Tested with Poudriere (HEADa, 10.2a and 9.3a+i, default options and all options enabled).

'portlint -AC' gives no errors.
Comment 1 Guido Falsi freebsd_committer 2016-02-28 22:41:28 UTC
Hi, while testing the port poudriere reported me some missing files from the plist:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/QtSqlDB.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/__init__.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/connector.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/data_model.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/icons/oracle.png
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/info_model.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/plugin.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/resources_rc.py
Error: Missing: %%ORACLE%%%%DATADIR%%/python/plugins/db_manager/db_plugins/oracle/sql_dictionary.py
===> Error: Plist issues found.

I can simply remove these files from the plist, but I'd like to make sure they are not important ones.


Could you check please?

I can send you the full log if needed.
Comment 2 Rainer Hurling 2016-02-29 05:51:20 UTC
(In reply to Guido Falsi from comment #1)

Oops, sorry. These %%ORACLE%% entries in pkg-plist do not belong in that port version 2.14.0. They are for testing purposes only in a non publicly development port of QGIS trunk for i386 platforms ...

So yes, it would be nice, if you will remove them. Many thanks.
Comment 3 commit-hook freebsd_committer 2016-03-01 10:43:57 UTC
A commit references this bug:

Author: madpilot
Date: Tue Mar  1 10:43:41 UTC 2016
New revision: 409866
URL: https://svnweb.freebsd.org/changeset/ports/409866

Log:
  Update to 2.14.0

  PR:		207551
  Submitted by:	Rainer Hurling <rhurlin at gwdg.de> (maintainer)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/files/patch-debian_qgis.desktop
  head/graphics/qgis/files/patch-python_plugins_processing_algs_saga_CMakeLists.txt
  head/graphics/qgis/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  head/graphics/qgis/pkg-plist
Comment 4 Guido Falsi freebsd_committer 2016-03-01 11:04:55 UTC
Committed! Thanks.